GET
/public/v1/projects/{projectId}/models/{modelId}/activities
curl \
--request GET 'https://live.smartpmtech.com/public/v1/projects/{projectId}/models/{modelId}/activities' \
--header "X-API-KEY: $API_KEY" \
--header "X-COMPANY-ID: string"
Response examples (200)
[
{
"id": 42,
"activityId": "string",
"activityType": "TaskDependent",
"activityStatus": "FINISHED",
"deleted": true,
"firstSeen": "2026-05-04T09:42:00Z",
"lastSeen": "2026-05-04T09:42:00Z",
"name": "string",
"contractualCompletionDate": "2026-05-04T09:42:00Z",
"scheduleIds": [
42
],
"status": "REBASELINE_REQUIRED"
}
]